Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultCommentedClassificationType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.virtual.common.CommentedClassificationKeyType
          be.fgov.ehealth.dics.protocol.v3.ConsultCommentedClassificationType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConsultCommentedClassificationTreeType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:09+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultCommentedClassificationType

extends CommentedClassificationKeyType
implements Serializable

Java class for ConsultCommentedClassificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCommentedClassificationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v3:virtual:common}CommentedClassificationKeyType">
           <sequence>
             <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="Content" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="PosologyNote" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType"/>
             <element name="Url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultCommentedClassificationType()`

Method Summary
`ConsultTextType` | `getContent()` Gets the value of the content property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`ConsultTextType` | `getPosologyNote()` Gets the value of the posologyNote property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`ConsultTextType` | `getTitle()` Gets the value of the title property.
`String` | `getUrl()` Gets the value of the url property.
`void` | `setContent(ConsultTextType value)` Sets the value of the content property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setPosologyNote(ConsultTextType value)` Sets the value of the posologyNote property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setTitle(ConsultTextType value)` Sets the value of the title property.
`void` | `setUrl(String value)` Sets the value of the url property.

Methods inherited from class be.fgov.ehealth.dics.core.v3.virtual.common.CommentedClassificationKeyType
`getCode, setCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultCommentedClassificationType

    public ConsultCommentedClassificationType()

Method Detail

### getTitle

    public ConsultTextType getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `ConsultTextType`

### setTitle

    public void setTitle(ConsultTextType value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getContent

    public ConsultTextType getContent()

  Gets the value of the content property.

  Returns:
    possible object is `ConsultTextType`

### setContent

    public void setContent(ConsultTextType value)

  Sets the value of the content property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getPosologyNote

    public ConsultTextType getPosologyNote()

  Gets the value of the posologyNote property.

  Returns:
    possible object is `ConsultTextType`

### setPosologyNote

    public void setPosologyNote(ConsultTextType value)

  Sets the value of the posologyNote property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getUrl

    public String getUrl()

  Gets the value of the url property.

  Returns:
    possible object is `String`

### setUrl

    public void setUrl(String value)

  Sets the value of the url property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.